@charset "utf-8";

/* ブラウザのUA stylesheetをリセット */
.labelBox * ,
.sp_map * {
  padding: 0;
  margin: 0;
  font: inherit;
	list-style: none;
}

/* レイアウト・動作の設定 */
.box_map {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  width: 96%;
  max-width: 960px;
  padding: 20px;
  margin: auto;
  background-color: #fff;
  border: 1px solid  #ccc;
}

.pc_map {
  position: relative;
  width: 70%;
  margin: 20px auto 60px;
}

.pc_map a {
  text-decoration: none;
  pointer-events: none;
  cursor: default;
}

/* 地図画像の設定 */
.pc_map svg a {
  fill: #ccc; /* 求人なしの地図の色 */
  stroke: #fff; /* 縁取りの色 */
  stroke-width: 1; /* 縁取りの太さ */
}

/* 沖縄など区切り線の色 */
.pc_map .map_border {
  fill: #ccc;
}

.pc_map svg .enable_area,
.pc_map svg .enable_pref {
  pointer-events: all;
  cursor: pointer;
  fill: #6a4545; /* 求人ありの地図の色 */
}

/* 求人ありの地図をホバーした時の色 */
.pc_map svg .enable_area:hover,
.pc_map svg .enable_pref:hover,
.pc_map svg .area_hover {
  fill: #dc6753;
}

/* 地図に重ねているラベルの設定 */
.labelBox {
  position: absolute;
  line-height: 1.2;
}

.labelBox h3 {
  position: relative;
  padding-bottom: 12px;
  margin-bottom: 3px;
  font-size: 20px;
  line-height: 0;
  text-align: center;
}

.labelBox ul {
  width: 164px;
}

.labelBox li {
  display: inline-block;
  padding-right: 4px;
  font-size: 14px;
}

.box_map a {
  color: #ccc;
}

.box_map .enable_area h3 a,
.box_map .enable_pref a {
  color: #6a4545;
  pointer-events: all;
  cursor: pointer;
}

.box_map .enable_area h3 a:hover,
.box_map .enable_pref a:hover {
  color: #dc6753;
}

/* 各地域のラベルの位置調整 */
.area1 {
  top: 30%;
  right: -20%;
}

.area2 {
  top: 60%;
  right: -10%;
}

.area3 {
  right: 34%;
  bottom: 54%;
}

.area4 {
  top: 84%;
  left: 58%;
}

.area5 {
  right: 60%;
  bottom: 40%;
}

.area6 {
  top: 88%;
  left: 24%;
}

.area7 {
  bottom: 6%;
  left: -21%;
}

/* ラベルの線＿全体設定 */
.labelBox h3::before,
.labelBox h3::after {
  position: absolute;
  pointer-events: none;
  cursor: default;
  content: "";
  background-color: #ccc;
}

.enable_area h3::before,
.enable_area h3::after {
  background-color: #666;
}

.labelBox h3::before {
  bottom: 0;
  height: 1px;
}

.labelBox h3::after {
  width: 1px;
}

/* ラベルの線＿北海道・東北 */
.area1 h3::before {
  right: 0;
  width: 23vw;
  max-width: 240px;
}

/* ラベルの線＿関東 */
.area2 h3::before {
  right: 0;
  width: 24vw;
  max-width: 240px;
}

/* ラベルの線＿甲信越・北陸 */
.area3 h3::before {
  left: 0;
  width: 100%;
}

.area3 h3::after {
  top: 12px;
  right: 0;
  height: 260%;
}

/* ラベルの線＿東海 */
.area4 h3::before {
  left: -3%;
  width: 100%;
}

.area4 h3::after {
  bottom: 0;
  left: -3%;
  height: 150%;
}

/* ラベルの線＿関西 */
.area5 h3::before {
  left: 0;
  width: 106%;
}

.area5 h3::after {
  top: 12px;
  right: -6%;
  height: 50px;
}

/* ラベルの線＿中国・四国 */
.area6 h3::before {
  left: 0;
  width: 140px;
}

.area6 h3::after {
  bottom: 0;
  left: 0;
  height: 130%;
}

/* ラベルの線＿九州・沖縄 */
.area7 h3::before {
  left: 0;
  width: 18vw;
  max-width: 180px;
}

/* フリーワード検索のレイアウト調整 */
.box_map form {
  display: -ms-flex;
  display: flex;
  -ms-align-items: center;
  align-items: center;
  justify-content: space-between;
  padding: 16px 36px;
	margin-top: 20px;
  background-color: #f2f2f2;
}

.box_map label {
  flex-shrink: 0;
  color: #333;
}

.box_map input[type="text"] {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	width: 100%;
	height: 31px;
	padding: 0 6px;
	margin: 0 14px;
	border: 1px solid #ccc;
	border-radius: 4px;
}

.box_map button[type="submit"] {
	-webkit-box-sizing: border-box;
  flex-shrink: 0;
	width: 96px;
	height: 31px;
  font-size: 16px;
	color: #fff;
	cursor: pointer;
  background-color: #4070ff;
	border: none;
	border-radius: 4px;
}

.box_map button[type="submit"] img {
	width: 16px;
	margin-right: 6px;
	vertical-align: middle;
}

/* スマホ版地図の設定 */
.sp_map {
  display: none;
}
@media screen and (width <= 768px) {
  .pc_map {
    display: none;
  }

  .sp_map {
    display: block;
    color: #333;
    border-bottom: 1px solid  #333;
  }

  .sp_map_title {
    padding-bottom: 10px;
    text-align: center;
  }

  .sp_map ul {
    display: none;
  }

  .sp_map div p {
    padding: 10px 14px;
    border-top: 1px solid  #333;
  }

  .sp_map li {
    padding: 10px 28px;
    border-bottom: 1px dashed #666;
  }

  .sp_map li:first-child {
    border-top: 1px solid  #666;
  }

  .sp_map li:last-child {
    border-bottom: none;
  }

  .sp_map li a {
    color: #666;
    text-decoration: none;
  }

  /* フリーワード検索の設定 */
  .box_map form {
    display: block;
    padding: 20px;
    margin-top: 40px;
  }

  .box_map input[type="text"] {
    height: auto;
    padding: 14px;
    margin: 10px 0;
  }

  .box_map button[type="submit"] {
    width: 100%;
    height: auto;
    padding: 14px;
  }
}

/* PC,SP共通_求人が無いラベルを削除 */
.labelDel {
  display: none;
}
